package fbconnector;

import org.apache.commons.configuration.PropertiesConfiguration;

/**
 * Třída pro jednodušší práci s konfiguračním souborem
 * 
 * @author Petr Škola
 */
public class MyConfigHandler {
  private final PropertiesConfiguration conf;
    
  public MyConfigHandler(PropertiesConfiguration conf) {
    this.conf = conf;
  } 
  
  public String getStringConfigValue(String fieldName, String defaultValue, boolean isMandatory ) throws Exception{
    if (isMandatory){
      if (!this.conf.containsKey(fieldName)){
        throw new Exception("Nepodařilo se načíst pole s názvem: " + fieldName); 
      }
    }
    return this.conf.getString(fieldName, defaultValue);
  }
  
  public int getIntConfigValue(String fieldName, int defaultValue, boolean isMandatory ) throws Exception{
    if (isMandatory){
      if (!this.conf.containsKey(fieldName)){
        throw new Exception("Nepodařilo se načíst pole s názvem: " + fieldName); 
      }
    }
    return this.conf.getInt(fieldName, defaultValue);
  }
  
  public PropertiesConfiguration getConfig(){
    return this.conf;
  }
}

